Subject: Re: [syzbot] possible deadlock in __sock_release

From: syzbot <[email-masked]>
Date: Thu, 05 Aug 2021 03:13:10 -0700

syzbot suspects this issue was fixed by commit:

commit 8fb4792f091e608a0a1d353dfdf07ef55a719db5
Author: Paolo Abeni <[email-masked]>
Date:   Tue Jul 20 13:08:40 2021 +0000

    ipv6: fix another slab-out-of-bounds in fib6_nh_flush_exceptions

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=113a99f1300000
start commit:   c6c205ed442e Merge branch 'stmmac-ptp'
git tree:       net
kernel config:  https://syzkaller.appspot.com/x/.config?x=26b64b13fcecb7e1
dashboard link: https://syzkaller.appspot.com/bug?extid=8e467b009209f1fcf666
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=152188d2300000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=10d5493c300000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: ipv6: fix another slab-out-of-bounds in fib6_nh_flush_exceptions

For information about bisection process see: https://goo.gl/tpsmEJ#bisection